import {
  IsBooleanString,
  IsNumberString,
  IsOptional,
  IsString,
} from 'class-validator';

export class CarritosDto {
  @IsNumberString()
  pagina: string;

  @IsBooleanString()
  @IsOptional()
  activo?: string;

  @IsNumberString()
  @IsOptional()
  id_institucion?: string;

  @IsNumberString()
  @IsOptional()
  id_modulo?: string;

  @IsNumberString()
  @IsOptional()
  id_tipo_carrito?: string;

  @IsString()
  @IsOptional()
  carrito?: string;
}
