import { Expose, Type } from 'class-transformer';
import { CarritoMinOutputDto } from '../../../carrito/dto/output/carrito-min.dto';
import { StatusOutputDto } from '../../../status/dto/output/status.dto';
import { EquipoTipoEntradaOutputDto } from '../../../equipo-tipo-entrada/dto/output/equipo-tipo-entrada.dto';
import { EquipoProgramaOutputDto } from '../../../equipo-programa/dto/output/equipo-programa.dto';

export class EquipoOutputDto {
  @Expose()
  equipo;

  @Expose()
  id_equipo;

  @Expose()
  marca;

  @Expose()
  modelo;

  @Expose()
  numero_inventario;

  @Expose()
  numero_serie;

  @Expose()
  @Type(() => CarritoMinOutputDto)
  carrito;

  @Expose()
  @Type(() => EquipoProgramaOutputDto)
  programas;

  @Expose()
  @Type(() => StatusOutputDto)
  status;

  @Expose()
  @Type(() => EquipoTipoEntradaOutputDto)
  tiposEntradas;
}
