import {
  IsBoolean,
  IsInt,
  IsNumber,
  IsOptional,
  IsString,
} from 'class-validator';

export class UpdateInstitucionDto {
  @IsInt()
  id_institucion: number;

  @IsBoolean()
  @IsOptional()
  activo?: boolean;

  @IsNumber()
  @IsOptional()
  dias_multa_retraso?: number;

  @IsString()
  @IsOptional()
  dominio?: string;

  @IsBoolean()
  @IsOptional()
  email_institucional?: boolean;

  @IsString()
  @IsOptional()
  responsable?: string;

  @IsString()
  @IsOptional()
  telefono?: string;

  @IsNumber()
  @IsOptional()
  tiempo_entrega?: number;

  @IsNumber()
  @IsOptional()
  tiempo_prestamo?: number;

  @IsNumber()
  @IsOptional()
  tiempo_recoger?: number;

  @IsString()
  @IsOptional()
  ubicacion?: string;
}
