import { Controller, Get, Query } from '@nestjs/common';
import { ApiOperation, ApiQuery, ApiTags } from '@nestjs/swagger';
import { MotivoService } from './motivo.service';
import { IdEquipoPaginaDto } from '../dto/id-equipo-pagina.dto';

@Controller('motivo')
@ApiTags('motivo')
export class MotivoController {
  constructor(private motivoService: MotivoService) {}

  @Get()
  @ApiOperation({
    description:
      'Endpoint que retorna 25 cambios de status que ha tenido el equipo dependiendo de la página en la que se encuentra el alumno.',
  })
  @ApiQuery({
    description: 'Id del equipo.',
    name: 'id_equipo',
    type: 'string',
  })
  get(@Query() query: IdEquipoPaginaDto) {
    return this.motivoService.findAllByIdEquipo(
      parseInt(query.id_equipo),
      parseInt(query.pagina),
    );
  }

  // @Get('reporte')
  // reporte() {}
}
